TikTok Shop

The shop's target collaborations, one page per call

GET/api/public/v1/tik_tok_shop/target_collabs
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id listTikTokShopTargetCollabs

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/target_collabs?status=ONGOING" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
statusquerystringrequiredOne of ONGOINGEXPIRINGVALIDCANCELINGCOMPLETED
keywordquerystring
keywordTypequerystringOne of PRODUCT_IDPRODUCT_NAMETARGET_COLLABORATION_IDTARGET_COLLABORATION_NAME
creatorOpenIdquerystring
creatorAcceptStatusquerystringOne of ACCEPTALL
freeSampleSettingquerystringOne of WITH_FREE_SAMPLEALL
pageSizequeryintegerOne of 2050100 Default 100
cursorquerystring
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
collabsarray of objectrequired
collabs[].[].countsobject
collabs[].[].counts.contentCreatorsinteger, nullable
collabs[].[].counts.invitedinteger, nullable
collabs[].[].counts.productsinteger, nullable
collabs[].[].counts.showcaseCreatorsinteger, nullable
collabs[].[].createTimeinteger, nullable
collabs[].[].endTimeinteger, nullable
collabs[].[].freeSampleRuleobject, nullable
collabs[].[].freeSampleRule.hasFreeSampleboolean
collabs[].[].freeSampleRule.isSampleApprovalExemptboolean
collabs[].[].idstring, nullable
collabs[].[].messagestring, nullable
collabs[].[].namestring, nullable
collabs[].[].startTimeinteger, nullable
collabs[].[].typestring, nullable
collabs[].[].updateTimeinteger, nullable
hasMorebooleanrequired
nextCursorstring, nullablerequired
sourcestringrequiredOne of officialweb
totalCountinteger, nullablerequired

Example

{
  "collabs": [
    {
      "counts": {
        "contentCreators": 3,
        "invited": 3,
        "products": 3,
        "showcaseCreators": 3
      },
      "createTime": 3,
      "endTime": 3,
      "freeSampleRule": {
        "hasFreeSample": true,
        "isSampleApprovalExempt": true
      },
      "id": "string",
      "message": "string",
      "name": "Example name",
      "startTime": 3,
      "type": "string",
      "updateTime": 3
    }
  ],
  "hasMore": true,
  "nextCursor": "string",
  "source": "official",
  "totalCount": 3
}

Errors: 400401403404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.